| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiWellFilterGrp Class Reference
uiWell

`#include <uiwellfiltergrp.h>`

Inheritance diagram for uiWellFilterGrp:
[legend]

## Classes
struct | InitDesc

## Public Member Functions
| uiWellFilterGrp (uiParent *, const ObjectSet< Well::Data > &, const BufferStringSet &lognms, const BufferStringSet &markernms, OD::Orientation orient=OD::Horizontal)
| uiWellFilterGrp (uiParent *, const ObjectSet< Well::Data > &, const MnemonicSelection &mns, const BufferStringSet &markernms, OD::Orientation orient=OD::Horizontal)
| uiWellFilterGrp (uiParent *, OD::Orientation orient=OD::Horizontal)
| ~uiWellFilterGrp ()
void | depthRangeFilter (const Interval< float > depthrg)
void | getSelected (BufferStringSet &wells, BufferStringSet &logs, BufferStringSet &mrkrs) const
void | getSelected (BufferStringSet &wells, MnemonicSelection &mns, BufferStringSet &mrkrs) const
void | getSelected (DBKeySet &wellids, BufferStringSet &logs, BufferStringSet &mrkrs) const
void | getSelected (DBKeySet &wellids, MnemonicSelection &mns, BufferStringSet &mrkrs) const
BufferStringSet | getSelectedMarkers () const
bool | isLogMode () const
void | logValRangeFilter (const MnemonicSelection &mns, const TypeSet< Interval< float > > &logvalrg)
void | markerZoneFilter (const BufferString &topmrkrnm, const BufferString &botmrkrnm)
void | mnemFilterCB (CallBacker *)
void | noLogFilterCB (CallBacker *)
void | setFilterItems (const ObjectSet< Well::Data > &, const BufferStringSet &lognms, const BufferStringSet &mrkrnms)
void | setFilterItems (const ObjectSet< Well::Data > &, const MnemonicSelection &mns, const BufferStringSet &mrkrnms)
void | setLogMode (bool yn=true)
void | setMnemonicsSensitive (const MnemonicSelection &)
void | setSelected (const BufferStringSet &wells, const BufferStringSet &logs, const BufferStringSet &mrkrs)
void | setSelected (const BufferStringSet &wells, const MnemonicSelection &mns, const BufferStringSet &mrkrs)
void | setSelected (const DBKeySet &wellids, const BufferStringSet &logs, const BufferStringSet &mrkrs)
void | setSelected (const DBKeySet &wellids, const MnemonicSelection &mns, const BufferStringSet &mrkrs)
void | wellTypeFilter (OD::WellType)
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiWellFilterGrp > | markerSelectionChg

## Protected Member Functions
void | fillInitSelection (const BufferStringSet &wllnms, const BufferStringSet &lognms, const BufferStringSet &mrkrs)
void | fillInitSelection (const BufferStringSet &wllnms, const MnemonicSelection &mns, const BufferStringSet &mrkrs)
void | fillListBoxes ()
void | fromSelTypeChgdCB (CallBacker *)
void | initGrp (CallBacker *)
void | markerSelChgCB (CallBacker *)
void | selButPush (CallBacker *)
void | selChgCB (CallBacker *)
void | setMaxLinesForLists ()
void | setSelection (const BufferStringSet &wellnms, const BufferStringSet &lognms, const BufferStringSet &mrkrnms)
void | setSelection (const BufferStringSet &wellnms, const MnemonicSelection &mns, const BufferStringSet &mrkrnms)
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiToolButton * | fromlogormnsbut_
uiToolButton * | frommarkerbut_
uiToolButton * | fromwellbut_
InitDesc | initdesc_
uiListBoxFilter * | logormnsfilter_
uiListBox * | logormnslist_
uiGroup * | maingrp_
uiListBoxFilter * | markerfilter_
uiListBox * | markerlist_
uiGroup * | optionsgrp_
OD::Orientation | orient_
uiComboBox * | seloptionscb_ = nullptr
uiListBox * | welllist_
uiComboBox * | wellseloptionscb_ = nullptr
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiWellFilterGrp() [1/3]

uiWellFilterGrp::uiWellFilterGrp | ( | uiParent * | ,
|  | OD::Orientation | orient = OD::Horizontal )

## ◆ uiWellFilterGrp() [2/3]

uiWellFilterGrp::uiWellFilterGrp | ( | uiParent * | ,
|  | const ObjectSet< Well::Data > & | ,
|  | const BufferStringSet & | lognms,
|  | const BufferStringSet & | markernms,
|  | OD::Orientation | orient = OD::Horizontal )

## ◆ uiWellFilterGrp() [3/3]

uiWellFilterGrp::uiWellFilterGrp | ( | uiParent * | ,
|  | const ObjectSet< Well::Data > & | ,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | markernms,
|  | OD::Orientation | orient = OD::Horizontal )

## ◆ ~uiWellFilterGrp()

uiWellFilterGrp::~uiWellFilterGrp | ( |  | ) |

## Member Function Documentation

## ◆ depthRangeFilter()

void uiWellFilterGrp::depthRangeFilter | ( | const Interval< float > | depthrg | ) |

## ◆ fillInitSelection() [1/2]

void uiWellFilterGrp::fillInitSelection | ( | const BufferStringSet & | wllnms,
|  | const BufferStringSet & | lognms,
|  | const BufferStringSet & | mrkrs )
| protected

## ◆ fillInitSelection() [2/2]

void uiWellFilterGrp::fillInitSelection | ( | const BufferStringSet & | wllnms,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | mrkrs )
| protected

## ◆ fillListBoxes()

void uiWellFilterGrp::fillListBoxes | ( |  | ) |
| protected

## ◆ fromSelTypeChgdCB()

void uiWellFilterGrp::fromSelTypeChgdCB | ( | CallBacker * |  | ) |
| protected

## ◆ getSelected() [1/4]

void uiWellFilterGrp::getSelected | ( | BufferStringSet & | wells,
|  | BufferStringSet & | logs,
|  | BufferStringSet & | mrkrs ) const

## ◆ getSelected() [2/4]

void uiWellFilterGrp::getSelected | ( | BufferStringSet & | wells,
|  | MnemonicSelection & | mns,
|  | BufferStringSet & | mrkrs ) const

## ◆ getSelected() [3/4]

void uiWellFilterGrp::getSelected | ( | DBKeySet & | wellids,
|  | BufferStringSet & | logs,
|  | BufferStringSet & | mrkrs ) const

## ◆ getSelected() [4/4]

void uiWellFilterGrp::getSelected | ( | DBKeySet & | wellids,
|  | MnemonicSelection & | mns,
|  | BufferStringSet & | mrkrs ) const

## ◆ getSelectedMarkers()

BufferStringSet uiWellFilterGrp::getSelectedMarkers | ( |  | ) | const

## ◆ initGrp()

void uiWellFilterGrp::initGrp | ( | CallBacker * |  | ) |
| protected

## ◆ isLogMode()

bool uiWellFilterGrp::isLogMode | ( |  | ) | const
| inline

## ◆ logValRangeFilter()

void uiWellFilterGrp::logValRangeFilter | ( | const MnemonicSelection & | mns,
|  | const TypeSet< Interval< float > > & | logvalrg )

## ◆ markerSelChgCB()

void uiWellFilterGrp::markerSelChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ markerZoneFilter()

void uiWellFilterGrp::markerZoneFilter | ( | const BufferString & | topmrkrnm,
|  | const BufferString & | botmrkrnm )

## ◆ mnemFilterCB()

void uiWellFilterGrp::mnemFilterCB | ( | CallBacker * |  | ) |

## ◆ noLogFilterCB()

void uiWellFilterGrp::noLogFilterCB | ( | CallBacker * |  | ) |

## ◆ selButPush()

void uiWellFilterGrp::selButPush | ( | CallBacker * |  | ) |
| protected

## ◆ selChgCB()

void uiWellFilterGrp::selChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ setFilterItems() [1/2]

void uiWellFilterGrp::setFilterItems | ( | const ObjectSet< Well::Data > & | ,
|  | const BufferStringSet & | lognms,
|  | const BufferStringSet & | mrkrnms )

## ◆ setFilterItems() [2/2]

void uiWellFilterGrp::setFilterItems | ( | const ObjectSet< Well::Data > & | ,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | mrkrnms )

## ◆ setLogMode()

void uiWellFilterGrp::setLogMode | ( | bool | yn = true | ) |

## ◆ setMaxLinesForLists()

void uiWellFilterGrp::setMaxLinesForLists | ( |  | ) |
| protected

## ◆ setMnemonicsSensitive()

void uiWellFilterGrp::setMnemonicsSensitive | ( | const MnemonicSelection & |  | ) |

## ◆ setSelected() [1/4]

void uiWellFilterGrp::setSelected | ( | const BufferStringSet & | wells,
|  | const BufferStringSet & | logs,
|  | const BufferStringSet & | mrkrs )

## ◆ setSelected() [2/4]

void uiWellFilterGrp::setSelected | ( | const BufferStringSet & | wells,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | mrkrs )

## ◆ setSelected() [3/4]

void uiWellFilterGrp::setSelected | ( | const DBKeySet & | wellids,
|  | const BufferStringSet & | logs,
|  | const BufferStringSet & | mrkrs )

## ◆ setSelected() [4/4]

void uiWellFilterGrp::setSelected | ( | const DBKeySet & | wellids,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | mrkrs )

## ◆ setSelection() [1/2]

void uiWellFilterGrp::setSelection | ( | const BufferStringSet & | wellnms,
|  | const BufferStringSet & | lognms,
|  | const BufferStringSet & | mrkrnms )
| protected

## ◆ setSelection() [2/2]

void uiWellFilterGrp::setSelection | ( | const BufferStringSet & | wellnms,
|  | const MnemonicSelection & | mns,
|  | const BufferStringSet & | mrkrnms )
| protected

## ◆ wellTypeFilter()

void uiWellFilterGrp::wellTypeFilter | ( | OD::WellType |  | ) |

## Member Data Documentation

## ◆ fromlogormnsbut_

uiToolButton* uiWellFilterGrp::fromlogormnsbut_
| protected

## ◆ frommarkerbut_

uiToolButton* uiWellFilterGrp::frommarkerbut_
| protected

## ◆ fromwellbut_

uiToolButton* uiWellFilterGrp::fromwellbut_
| protected

## ◆ initdesc_

InitDesc uiWellFilterGrp::initdesc_
| protected

## ◆ logormnsfilter_

uiListBoxFilter* uiWellFilterGrp::logormnsfilter_
| protected

## ◆ logormnslist_

uiListBox* uiWellFilterGrp::logormnslist_
| protected

## ◆ maingrp_

uiGroup* uiWellFilterGrp::maingrp_
| protected

## ◆ markerfilter_

uiListBoxFilter* uiWellFilterGrp::markerfilter_
| protected

## ◆ markerlist_

uiListBox* uiWellFilterGrp::markerlist_
| protected

## ◆ markerSelectionChg

Notifier<uiWellFilterGrp> uiWellFilterGrp::markerSelectionChg

## ◆ optionsgrp_

uiGroup* uiWellFilterGrp::optionsgrp_
| protected

## ◆ orient_

OD::Orientation uiWellFilterGrp::orient_
| protected

## ◆ seloptionscb_

uiComboBox* uiWellFilterGrp::seloptionscb_ = nullptr
| protected

## ◆ welllist_

uiListBox* uiWellFilterGrp::welllist_
| protected

## ◆ wellseloptionscb_

uiComboBox* uiWellFilterGrp::wellseloptionscb_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025